package com.liang.controller;

import com.liang.entity.SysUserRole;
import com.liang.service.SysUserRoleService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * (SysUserRole)表控制层
 *
 * @author makejava
 * @since 2023-02-19 21:37:39
 */
@RestController
@RequestMapping("sysUserRole")
public class SysUserRoleController {
    /**
     * 服务对象
     */
    @Resource
    private SysUserRoleService sysUserRoleService;

    /**
     * 分页查询
     *
     * @param sysUserRole 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @GetMapping
    public ResponseEntity<Page<SysUserRole>> queryByPage(SysUserRole sysUserRole, PageRequest pageRequest) {
        return ResponseEntity.ok(this.sysUserRoleService.queryByPage(sysUserRole, pageRequest));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    public ResponseEntity<SysUserRole> queryById(@PathVariable("id") Integer id) {
        return ResponseEntity.ok(this.sysUserRoleService.queryById(id));
    }

    /**
     * 新增数据
     *
     * @param sysUserRole 实体
     * @return 新增结果
     */
    @PostMapping
    public ResponseEntity<SysUserRole> add(SysUserRole sysUserRole) {
        return ResponseEntity.ok(this.sysUserRoleService.insert(sysUserRole));
    }

    /**
     * 编辑数据
     *
     * @param sysUserRole 实体
     * @return 编辑结果
     */
    @PutMapping
    public ResponseEntity<SysUserRole> edit(SysUserRole sysUserRole) {
        return ResponseEntity.ok(this.sysUserRoleService.update(sysUserRole));
    }

    /**
     * 删除数据
     *
     * @param id 主键
     * @return 删除是否成功
     */
    @DeleteMapping
    public ResponseEntity<Boolean> deleteById(Integer id) {
        return ResponseEntity.ok(this.sysUserRoleService.deleteById(id));
    }

}

